LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XFormDocumentsSupplier Interface Reference

provides the access to a container of database forms. More...

`import"XFormDocumentsSupplier.idl";`

Inheritance diagram for XFormDocumentsSupplier:

## Public Member Functions
com::sun::star::container::XNameAccess | getFormDocuments ()
| returns the container of forms. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides the access to a container of database forms.

See also
  Forms

Developers Guide
  Database - Forms and Reports

## Member Function Documentation

## ◆ getFormDocuments()

com::sun::star::container::XNameAccess getFormDocuments | ( |  | ) |

returns the container of forms.

Returns
  the form documents

See also
  Forms

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XFormDocumentsSupplier.idl